<?php
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://strongcms.ru 
*/

$title = 'Сменить ник';

require_once ('../system/function.php');
require_once ('../system/header.php');

# закрываем от гостей
if(!$user['id']) exit(header('Location: '.$HOME));


echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | '.$title.'</div>';

if (isset($user) & $user['money']<=7 and $user['rang'] < 3){
echo "<div class='podmenu'>Извините, но у Вас не хватает стронгов для смены ника, нужно <b>7</b> рублей<br/>У вас <b>$user[money]</b> рублей\n</div>";
echo "<div class='podmenu'><a href='".$HOME."/user/cab.php'><b>Назад</b></a></div>";

require_once ('../system/footer.php');
exit();
}



if (isset($_POST['submit'],$_POST['login']))
{
$login = mysql_real_escape_string($_POST['login']);

$sql = mysql_query("SELECT COUNT(`id`) FROM `users` WHERE `login` = '".$login."'"); 
if(mysql_result($sql, 0)){
echo err('Такой ник уже есть в базе!');
echo "<div class='podmenu'><a href='".$HOME."/user/up_nick.php'><b>Назад</b></a></div>";
require_once ('../system/footer.php'); exit;
}

mysql_query("INSERT INTO `nicks` SET `newnick` = '".$login."', `oldnick` = '".$user['login']."',  `avtor` = '".$user['id']."', `time` = '".time()."', `us` = '".$user['id']."'");
if($user['rang'] > 2){
mysql_query("UPDATE `users` SET `login` = '". $login ."' WHERE `id` = '". $user['id'] ."' LIMIT 1");
}
elseif($user['rang'] < 3){
mysql_query("UPDATE `users` SET `login` = '". $login ."' WHERE `id` = '". $user['id'] ."' LIMIT 1");
mysql_query("UPDATE `users` SET `money` = '".($user['money']-7)."' WHERE `id` = '$user[id]' LIMIT 1");
}
if (isset($_COOKIE['uslog']) and isset($_COOKIE['uspass'])) 
setcookie('uslog', $login, time()+86400*365, '/');

echo '<div class="podmenu"><b><center>Ваш ник успешно изменен, с Вас списано 7 рублей</center></b></div>';
echo '<div class="menudiv"><a href="'.$HOME.'/user/cab.php" class="k_menu">Назад в кабинет</div></a>';
require_once ('../system/footer.php'); exit;
}

echo '<div class="podmenu">Вы можете сменить ник за <b>7 рублей:</b></div>';


echo '
<div class="podmenu"><form action="" method="POST">
Новый ник:<br/> <input type="text" name="login" value="'.$user['login'].'"/> <br />
<input type="submit" name="submit" value="Редактировать" />
</form></div>
';

require_once ('../system/footer.php');
?>